--- nginx-1.3.6/src/http/modules/ngx_http_image_filter_module.c 2012-04-21 23:02:21.000000000 +0400
+++ nginx-1.3.6.PATCHED/src/http/modules/ngx_http_image_filter_module.c 2012-09-19 12:32:16.000000000 +0400
@@ -18,6 +18,7 @@
 #define NGX_HTTP_IMAGE_RESIZE    3
 #define NGX_HTTP_IMAGE_CROP      4
 #define NGX_HTTP_IMAGE_ROTATE    5
+#define NGX_HTTP_IMAGE_QUALITY   6
 
 
 #define NGX_HTTP_IMAGE_START     0
@@ -507,6 +508,10 @@
         return ngx_http_image_json(r, rc == NGX_OK ? ctx : NULL);
     }
 
+    if (conf->filter == NGX_HTTP_IMAGE_QUALITY) {
+      return ngx_http_image_resize(r, ctx);
+    }        
+              
     ctx->angle = ngx_http_image_filter_get_value(r, conf->acv, conf->angle);
 
     if (conf->filter == NGX_HTTP_IMAGE_ROTATE) {
@@ -813,6 +818,10 @@
 
         resize = 0;
 
+    } else if (conf->filter == NGX_HTTP_IMAGE_QUALITY) {
+   
+        resize = 0;
+           
     } else { /* NGX_HTTP_IMAGE_CROP */
 
         resize = 0;
@@ -1252,6 +1261,9 @@
         } else if (ngx_strcmp(value[i].data, "size") == 0) {
             imcf->filter = NGX_HTTP_IMAGE_SIZE;
 
+        } else if (ngx_strcmp(value[i].data, "quality_only") == 0) {
+            imcf->filter = NGX_HTTP_IMAGE_QUALITY;
+
         } else {
             goto failed;
         }
